%define module	pyperclip

Name:		python-%{module}
Version:	1.8.1
Release:	%mkrel 1
Summary:	A cross-platform clipboard module for Python
License:	MIT
Group:		Development/Python
URL:		https://github.com/asweigart/pyperclip
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Pyperclip is a cross-platform Python module for copy and paste
clipboard functions.

%package -n	python3-%{module}
Summary:	A cross-platform clipboard module for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyperclip is a cross-platform Python 3 module for copy and paste
clipboard functions.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Oct 22 2020 daviddavid <daviddavid> 1.8.1-1.mga8
+ Revision: 1638531
- new version: 1.8.1

* Tue Mar 31 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1562575
- new version: 1.8.0

* Sun Feb 16 2020 umeabot <umeabot> 1.7.0-4.mga8
+ Revision: 1532073
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.7.0-3.mga8
+ Revision: 1441466
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 guillomovitch <guillomovitch> 1.7.0-2.mga7
+ Revision: 1354563
- rebuild for python 3.7

* Tue Jan 08 2019 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1352233
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1289791
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 daviddavid <daviddavid> 1.6.0-1.mga7
+ Revision: 1192135
- new version: 1.6.0
- rename python-pyperclip to python2-pyperclip

* Sat Aug 05 2017 pterjan <pterjan> 1.5.27-2.mga7
+ Revision: 1135579
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 1.5.27-1.mga6
+ Revision: 1000080
- imported package python-pyperclip

